- @html_attrs = { vocab: "https://schema.org/", typeof: "FAQPage" }
- content_for :title, "JMP: Frequently Asked Questions"

scss:
	body > section {
		counter-increment: heading;
		padding: 0.25em;
		padding-bottom: 0;
		h1 {
			margin-top: 0;
			&:before {
				content: "Q"counter(heading)". ";
			}
		}
	}
	section img {
		max-width: 30%;
		float: right;
		margin: 1em;
	}
	:target { outline: 1px dotted #000; }
	iframe {
		border: none;
		width: 38rem;
		height: 8rem;
		background: #fff;
		border-radius: 1em;
	}

h1 property="name" Frequently Asked Questions

== faq_entry "features", "What do I get when I signup for JMP?"
	markdown:
		JMP gives you a Canadian or US phone number<sup><a href="#intl-tel">*</a></sup> that is yours to keep. JMP allows you to send and receive text and picture messages using any [Jabber client](#jabber_client). You can also [make and receive phone calls](#calling), including receiving [voicemails](#voicemail) delivered to you as audio recordings and text transcriptions.

		You can use JMP to communicate with your contacts without them changing anything on their end, just like with any other telephone provider.  JMP works wherever you have an Internet connection.  JMP can be used alongside, or instead of, a traditional wireless carrier subscription.

		JMP functions by acting as a plug-in backend for [Cheogram](https://cheogram.com).

== faq_entry "jabber", "What's this Jabber thing?" do
	#jabber_client
		markdown:
			Jabber is a [federated](https://en.wikipedia.org/wiki/Federation_%28information_technology%29), [standardized](https://singpolyma.net/2009/01/beasts-of-the-standards-world/) communication network based on the [XMPP protocol](https://xmpp.org) that powers WhatsApp.  The network uses Jabber IDs (JIDs) to communicate, which look similar to email addresses.  Because no one owns or controls the entire network, you can get a Jabber ID from one of [many](https://mov.im) [services](https://snikket.org/hosting/), or host your own.

			There are many different Jabber clients available, so you can use your Jabber ID from [Android](https://cheogram.com/), [iOS](https://apps.apple.com/ca/app/snikket/id1545164189), [the web](https://mov.im), and [your computer](https://gajim.org/).

== faq_entry "sending", "How do I send text messages?" do
	markdown:
		![Cheogram Android Add Contact](/static/add_contact.webp) Cheogram Android users, and users of other apps with good gateway support, can use the PSTN or SMS contact add options in their clients.

		For other clients, text messages are sent and received using special Jabber IDs. To send a text message, first add the Jabber ID representing the destination phone number to your Jabber contact list. For example, to send a text message to +1 416 993 8000 you would add "+14169938000@cheogram.com" to your contacts. You can then send the contact a message or picture and they will receive it as an SMS/MMS message.

		To send text messages to short codes, use the special suffix for short codes, ie. "33733;phone-context=ca-us.phone-context.soprani.ca@cheogram.com" represents the 33733 short code. This will be simplified in the future, but is required for now in order to maintain proper uniqueness going forward.

		Matrix users can try [this form](https://cheogram.com/matrix).

		From the same device as your [Jabber client](#jabber_client) you can also add contacts using the form below:

		<iframe src="https://jabber-iq-gateway.api.cheogram.com/?to=cheogram.com"></iframe>

== faq_entry "calling", "How do I make a phone call with my JMP number?" do
	markdown:
		The easiest way is to make a call from your Jabber client, if you are using a supporting client such as Cheogram Android, Conversations, Snikket, Movim, or Gajim. Simply add a contact just as you would for [messaging](#sending) and then select the voice call option in your client.

== faq_entry "sip", "Does JMP support SIP?" do
	markdown:
		For advanced use cases, or others who might have reason to need it, JMP does allow users to create a [SIP](https://arstechnica.com/business/2010/01/voip-in-depth-an-introduction-to-the-sip-protocol-part-1/) account [in your account settings](#bot) and then login using a SIP client.

		Outbound phone calls with SIP are supported.  Inbound calls can optionally be routed to the SIP account as well.  Sending or receiving messages (i.e. SMS and MMS) using SIP is not supported at this time.

		Inbound calls can also be forwarded to any SIP URI.

== faq_entry "pricing", "How much does JMP cost?" do
	markdown:
		JMP is $4.99 USD / month or $6.59 CAD / month, billed out of the balance on your account, for unlimited incoming and outgoing text and picture messages, and calling credit equivalent to 120 minutes of voice to the USA or Canada per calendar month.  You can [check more pricing details](/pricing), including international calling rates.

		Additional lines added to your account bill out of your same account balance, at $2.45 USD / month or $3.45 CAD / month per additional line.

		You may cancel your subscription at any time (by [contacting the support team](#support)). After cancellation, your number will be reclaimed after 30 days unless you [port](https://www.fcc.gov/consumers/guides/porting-keeping-your-phone-number-when-you-change-providers) it to another carrier.

== faq_entry "referral", "Is there a referral system?" do
	markdown:
		Yes there is. You can find and view the current referral codes available to your account by using the <kbd>referral code</kbd> (Refer a friend) command [in your account settings](#bot). You can then share these single-use codes with friends and family, who will get the first month for free. If they later pay, then you will also get one month of service credited to your account.

		If you are the recipient of a referral code, signing up with one is easy! During registration when you are asked how you wish to pay, choose the "Referral Code" option and then paste in the code you have received. The number you have chosen will then be activated and you can start using your account to make and receive both calls and messages.

== faq_entry "sim", "Can I get a SIM and mobile data?" do
	markdown:
		Yes you can! Please see our [data-only mobile plan, with both SIM and eSIM options](/sim).

== faq_entry "support", "How do I get help with JMP?" do
	markdown:
		The best venue for help using or developing features for JMP is the Soprani.ca chatroom, which you can join [from your chat client](xmpp:discuss@conference.soprani.ca?join), [on the web](https://anonymous.cheogram.com/discuss@conference.soprani.ca), or [from Matrix](https://matrix.to/#/#_bifrost_discuss_conference.soprani.ca:aria-net.org). It is an active and enthusiastic channel, and the fastest way to solve problems with the developers or other users.

		For private inquiries, contact support directly by Jabber at [+14169938000@cheogram.com](xmpp:+14169938000@cheogram.com), by SMS at [+1 416 993 8000](sms:+14169938000) (Canada) or [+1 312 796 8000](sms:+13127968000) (US), or [from Matrix](https://matrix.to/#/@_bifrost_=2b14169938000=40cheogram.com:aria-net.org) and we will get back to you within 8 business hours (that is, Monday to Friday, 09:00 to 17:00, excepting holidays). Both numbers can be texted from most other countries, though your carrier may charge a fee for international text messaging.

		**JMP support is not available via email, please contact using Jabber or SMS as per above.**

		JMP may also be found on [ATProtocol](https://bsky.app/profile/blog.jmp.chat), [Twitter](https://twitter.com/JMP_chat) and [Reddit](https://www.reddit.com/user/JMP_chat), and staff do monitor the Soprani.ca [Lemmy](https://lemmy.ml/c/sopranica) and [Subreddit](https://reddit.com/r/sopranica) communities.

== faq_entry "intl-tel", "Can I get a phone number for somewhere other than USA or Canada?" do
	markdown:
		JMP currently only provides numbers in the USA and Canada.  These numbers can make and receive both calls and messages with any country in the world.

		The community around our associated freedomware project, <a href="https://soprani.ca">Soprani.ca</a>, has several community-supported projects that can be used to get an experience similar to JMP with other providers that may offer phone numbers in a country you are interested in.  These projects are not part of, or supported by, JMP but we do sponsor their development and infrastructure.  These projects include: [the Vonage SGX](https://wiki.soprani.ca/VonageSetup) and [the Twilio SGX](https://wiki.soprani.ca/TwilioSetup).

== faq_entry "about", "How do I learn more about JMP?" do
	markdown:
		All of the software that makes up JMP is [free and open source](https://en.wikipedia.org/wiki/Free_and_open-source_software) software. You can view, download, and modify the source code [here](https://soprani.ca).

		For news about JMP you can follow [our blog](https://blog.jmp.chat) or signup for our [low-volume notification list](https://soprani.ca/cgi-bin/mailman/listinfo/jmp-news). You can also [follow us on Twitter](https://twitter.com/JMP_chat), or engage the community on [Lemmy](https://lemmy.ml/c/sopranica) and [Reddit](https://reddit.com/r/sopranica).

== faq_entry "sms_features", "Which text messaging features are supported?" do
	markdown:
		JMP supports the following text messaging features:

		* Send and receive text and picture messages (SMS and MMS) between your JMP number and any other US or Canadian phone number, as well as most other countries in the world.
		* Send and receive text and picture messages with most Canadian and US short codes. For example, you can send "info" to 33733 and receive the reply.
		* Use any emoji or other Unicode characters in your text messages.
		* Delivery receipts, as indicated by the carrier.
		* Send and receive group text messages (this feature is currently in beta).

		JMP does not (yet) support these features:

		* [RCS](https://en.wikipedia.org/wiki/Rich_Communication_Services), which allows for video calls over the phone network.

== faq_entry "optin", "Can I call or video call other JMP users for free?" do
	markdown:
		If you opt-in during signup to allow others who know your phone number to discover your Jabber ID, then any of your contacts can easily start a conversation with your direct Jabber ID from their client.  This allows for free HD voice and video calling, end-to-end encryption, and many other features not only with other JMP users but also any other Jabber or Snikket compatible service.

== faq_entry "voicemail", "How does voicemail work?" do
	markdown:
		Calls will be delivered to voicemail if you do not answer or are not logged in. Voicemails will be sent as messages to your Jabber client, both as an audio file as soon as the voicemail is left, and also as transcribed text once our transcription engine has finished converting the audio to text for you (normally this takes just a few seconds).

		The default voicemail greeting is: "You have reached the voicemail of {your JMP number}. Please send a text message, or leave a message after the tone." If your Jabber ID has a [legacy vCard](https://xmpp.org/extensions/xep-0054.html) or [vCard4](https://xmpp.org/extensions/xep-0292.html) with FN or NICKNAME specified, or a [PEP Nickname](https://xmpp.org/extensions/xep-0172.html), then JMP will use that instead of your JMP number in your voicemail greeting.  Note that requests for your vCard or nickname are made from the Jabber ID associated with the caller, so permissions will work out accordingly.

		You can configure the timeout before a call goes to voicemail, or change your voicemail greeting, [via bot or client UI](#bot).

== faq_entry "existing", "Can I port my existing number into JMP?" do
	markdown:
		Yes! We support most regions in Canada and the US. The process normally takes 1-2 weeks, depending on the number being ported in. You can submit your port request using the <kbd>lnp</kbd> command [in your account settings](#bot). For questions, please [contact our support team](#support).

== faq_entry "voip", "Is JMP a VoIP Provider?" do
	markdown:
		VoIP is a term used to describe any system where bidirectional voice communication happens over the Internet. It is sometimes used specifically to describe services which provide telephone numbers linked to voice communication operating over the Internet. Since JMP does offer phone numbers which can both make and receive voice calls using the Internet, it would be accurate to say that JMP is a free and open source VoIP provider. JMP is much more than this, however, also providing best-in-class access to SMS, MMS, and other more "mobile phone" related services.

== faq_entry "p2p", "Can I use JMP for Automated or Business Purposes?" do
	markdown:
		No, the <abbr title="Person-to-Person">P2P</abbr> routes we use to exchange messages with the phone system must be used in the same way as any phone number you get from a regular cell carrier.  That means no automations, marketing, or campaigns.

== faq_entry "gateway", "What is a Gateway?" do
	markdown:
		A Jabber or XMPP gateway or transport is a service that can be used to connect from your Jabber ID to other communications networks. There exist gateways for most known communication systems. JMP is, among other things, a Jabber SMS transport.

== faq_entry "blocking", "Why might I not be receiving certain messages?" do
	markdown:
		It is possible your client or server silently blocks message from numbers/contacts not in your contact list (roster). We have most often seen this problem with servers (rather than clients), so check with your server operator first if you are not receiving text messages from phone numbers you haven't [added to your contact list](#sending) yet.

		If that does not resolve the problem, please feel free to [contact support](#support) (we can help determine where the issue might be and, if you like, switch your JMP number to a different Jabber ID if want to switch Jabber servers). Be sure to note which Jabber client you are using, and ideally which server as well. We want to make sure that JMP works with as many Jabber clients and servers as possible\!

== faq_entry "bot", "How do I see my JMP number and usage, and change other settings?" do
	markdown:
		[cheogram.com](xmpp:cheogram.com) [[m](https://matrix.to/#/@_bifrost_cheogram.com:aria-net.org)] should already be in your contacts, and can be used to view and change a number of settings for your JMP account. You can find a complete list of options by typing "help" in a new conversation with the bot, or get a wizard in supporting clients by looking for an "Execute Command" or "Actions" option.

		If you do not have cheogram.com in your contacts and try to add it, it is just "cheogram.com" with no "@". Some clients will give a warning about adding such an address, please press "Add Anyway".

== faq_entry "plan", "Why am I receiving a message that says my phone call will take me over my monthly limit and I need to accept overage charges?" do
	markdown:
		Every JMP plan comes with calling credit, worth approximately 120 minutes within the US & Canada, included in the monthly [price](#pricing). By default accounts are set to be warned when this limit is reached so no one gets any surprise charges without getting permission first. You can adjust your plan settings with the bot to raise this limit and allow your account balance to be directly billed for any minutes over the included amount. To do this, use the command "plan" with the [bot](#bot) and it will ask you for a number input, this will represent how much in dollar amount that you want to allow per month in overage charges. Only whole numbers will be accepted here, so if you wish to allow $1 only, you would input "1" to the bot. For reference, $1USD would be about 115 minutes of calling within the US & Canada, or $5USD would be about 574 minutes of calling within the US & Canada. Calling rates to other countries will vary and amounts will be deducted according to the pricing [here](https://jmp.chat/pricing).
